com.sun.jna.platform.win32

## Interface Winevt.EVT_EVENT_PROPERTY_ID

Enclosing interface:
  Winevt

    public static interface Winevt.EVT_EVENT_PROPERTY_ID

Defines the values that determine the query information to retrieve. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385600(v=vs.85).aspx

### Field Summary

Fields
`static int` `EvtEventPath` The channel or log file from which the event came.
`static int` `EvtEventPropertyIdEND` This enumeration value marks the end of the enumeration values.
`static int` `EvtEventQueryIDs` Not supported.

### Field Detail

#### EvtEventQueryIDs

    static final int EvtEventQueryIDs

Not supported. The identifier of the query that selected the event. The variant type of this property is EvtVarTypeInt32.

See Also:
  Constant Field Values

#### EvtEventPath

    static final int EvtEventPath

The channel or log file from which the event came. The variant type of this property is EvtVarTypeString.

See Also:
  Constant Field Values

#### EvtEventPropertyIdEND

    static final int EvtEventPropertyIdEND

This enumeration value marks the end of the enumeration values. It can be used to exit a loop when retrieving all the properties.

See Also:
  Constant Field Values

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.